package com.jasamedika.medifirst2000.vo;

import java.util.HashSet;
import java.util.Set;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.entities.Peralatan;
import com.jasamedika.medifirst2000.helper.Caption;

public class PeralatanDetailVO extends BaseTransactionVO {
	
	@ManyToOne
	@JoinColumn(name = "PeralatanFk")
	@NotNull(message = "Peralatan tidak boleh kosong")
	private PeralatanVO peralatan;
	
	@Column(name = "PeralatanFk", insertable = false, updatable = false)
	private Integer peralatanId;
	
	@ManyToOne
	@JoinColumn(name = "TransferPasienInternalFk", nullable=true)
	private TransferPasienInternalVO transferPasienInternal;
	
	@Column(name = "TransferPasienInternalFk", insertable = false, updatable = false, nullable = true)
	private String transferPasienInternalId;
	
	@ManyToOne
	@JoinColumn(name = "TransferPasienExsternalFk", nullable=true)
	private TransferPasienExsternalVO transferPasienExsternal;
	
	@Column(name = "TransferPasienExsternalFk", insertable = false, updatable = false, nullable = true)
	private String transferPasienExsternalId;
	
	@NotNull(message = "Is Nilai tidak boleh kosong")
	@Column(name = "isNilai")
	@Caption(value = "Is Nilai")
	private Boolean isNilai;	
	
	public Boolean getIsNilai() {
		return isNilai;
	}

	public void setIsNilai(Boolean isNilai) {
		this.isNilai = isNilai;
	}

	public PeralatanVO getPeralatan() {
		return peralatan;
	}

	public void setPeralatan(PeralatanVO peralatan) {
		this.peralatan = peralatan;
	}

	public TransferPasienInternalVO getTransferPasienInternal() {
		return transferPasienInternal;
	}

	public void setTransferPasienInternal(TransferPasienInternalVO transferPasienInternal) {
		this.transferPasienInternal = transferPasienInternal;
	}

	public Integer getPeralatanId() {
		return peralatanId;
	}

	public void setPeralatanId(Integer peralatanId) {
		this.peralatanId = peralatanId;
	}

	public String getTransferPasienInternalId() {
		return transferPasienInternalId;
	}

	public void setTransferPasienInternalId(String transferPasienInternalId) {
		this.transferPasienInternalId = transferPasienInternalId;
	}

	public TransferPasienExsternalVO getTransferPasienExsternal() {
		return transferPasienExsternal;
	}

	public void setTransferPasienExsternal(TransferPasienExsternalVO transferPasienExsternal) {
		this.transferPasienExsternal = transferPasienExsternal;
	}

	public String getTransferPasienExsternalId() {
		return transferPasienExsternalId;
	}

	public void setTransferPasienExsternalId(String transferPasienExsternalId) {
		this.transferPasienExsternalId = transferPasienExsternalId;
	}	
	
	
	
}
